JAOTC(1)

NAME
jaotc - Ahead-of-Time Compilation

SYNOPSIS
jaotc <options> list

DESCRIPTION

list
    A : separated list of class names, modules, jar files or directories which contain class files.

  where options include:

--output <file>
    Output file name

--class-name <class names> List of classes to compile

--jar <jarfiles>
    List of jar files to compile

--module <modules>
    List of modules to compile

--directory <dirs>
    List of directories where to search for files to compile

--search-path <dirs>
    List of directories where to search for specified files

--compile-commands <file>
    Name of file with compile commands

--compile-for-tiered
    Generate profiling code for tiered compilation

--compile-with-assertions
    Compile with java assertions

--compile-threads <number> Number of compilation threads to be used

--ignore-errors
    Ignores all exceptions thrown during class loading

--exit-on-error
    Exit on compilation errors

--info
    Print information during compilation

--verbose
    Print verbose information

--debug
    Print debug information

--help
    Print this usage message

--version
    Version information

-J<flag>
    Pass <flag> directly to the runtime system